Bug 478127 - MIGRATED_FROM_JIRA: Simplify Admin Password Change
MIGRATED_FROM_JIRA: Simplify Admin Password Change
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:01 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:01:56 EST
Currently to change Admin password, you have to do two things: 
1. ldapmodify 
2. change conf/server.xml

See: http://docs.safehaus.org/display/PENROSE10/Configuration (bottom page)

This is because of the limitation of Apache DS. http://directory.apache.org/subprojects/apacheds/docs/users/authentication.html

We'd like to simplify this process so that it can be easily change through remote management without going through two-steps process. 
Additional Comments From itegebo dated Tue Jun 06 02:47:41 CDT 2006 
While using Penrose Studio 1.0RC5, I noticed that the admin password change displays the password as plaintext.  Shouldn't all password fields only display marker characters like the classic '******'?  Also, is PENROSE-142 supposed to be resolved already?  The Admin password change seems like it worked.

Additional Comments From itegebo dated Wed Jun 07 02:21:57 CDT 2006 
OK, so I admit that I hadn't restarted the server and gotten an authentication failure because I hadn't done the aforementioned 'ldapmodify'.

Additional Comments From endisd dated Thu May 17 15:41:16 CDT 2007 
This has been fixed.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            },
                            {
                              'name' => 'Listeners',
                              'id' => '10070'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-142',
          'assignee' => 'endisd',
          'summary' => 'Simplify Admin Password Change',
          'id' => '10424',
          'updated' => '2007-05-17 15:41:16.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2007-05-18 00:00:00.0',
                             'sequence' => '22',
                             'name' => 'Penrose-1.2',
                             'released' => 'true',
                             'id' => '10088',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Currently to change Admin password, you have to do two things: 
1. ldapmodify 
2. change conf/server.xml

See: http://docs.safehaus.org/display/PENROSE10/Configuration (bottom page)

This is because of the limitation of Apache DS. http://directory.apache.org/subprojects/apacheds/docs/users/authentication.html

We'd like to simplify this process so that it can be easily change through remote management without going through two-steps process. ',
          'created' => '2006-04-25 16:19:22.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:01:58 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-142

Note You need to log in before you can comment on or make changes to this bug.